Bug 518557 - Remove slightly misleading term "storage virtualization" from LVM overview description
Summary: Remove slightly misleading term "storage virtualization" from LVM overview de...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Documentation-cluster
Version: 5.4
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Steven J. Levine
QA Contact: Content Services Development
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 21:34 UTC by Steven J. Levine
Modified: 2009-09-07 04:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-03 16:50:24 UTC


Attachments (Terms of Use)

Description Steven J. Levine 2009-08-20 21:34:40 UTC
Description of problem:
As per a discussion on IRC: The term "storage virtualization" in the introductory section of the LVM manual is a little bit misleading -- the term is usually used for other sorts of products than volume managers (such as fibrechannel based infrastructures). There's probably no need to use that term in the overview.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Steven J. Levine 2009-08-21 16:05:16 UTC
Removing the sentence about "storage virtualization" turned out to be trivial and did not affect the meaning of the introductory material at all. This is how the first two paragraphs of the LVM manual reads currently:
---------------

Volume management creates a layer of abstraction over physical storage, allowing you to create logical storage volumes. This provides much greater flexibility in a number of ways than using physical storage directly.

A logical volume provides storage virtualization. With a logical volume, you are not restricted to physical disk sizes. In addition, the hardware storage configuration is hidden from the software so it can be resized and moved without stopping applications or unmounting file systems. This can reduce operational costs. 
------------

For RHEL 5.4 and later, it will say this, as one paragraph:

--------------
Volume management creates a layer of abstraction over physical storage, allowing you to create logical storage volumes. This provides much greater flexibility in a number of ways than using physical storage directly. With a logical volume, you are not restricted to physical disk sizes. In addition, the hardware storage configuration is hidden from the software so it can be resized and moved without stopping applications or unmounting file systems. This can reduce operational costs. 
-----------------

It's still a little bit marketing-focused, but I don't think we lost any meaning.

Comment 2 Steven J. Levine 2009-09-03 16:50:24 UTC
With the release of RHEL 5.4, I am closing this bug.


Note You need to log in before you can comment on or make changes to this bug.